package com.meeting.demo.dependency;

import com.huawei.hwmconf.presentation.dependency.inmeeting.IConfLeaveConfPopwindowHandle;
import com.huawei.hwmconf.presentation.dependency.menu.IConfMenu;
import com.huawei.hwmconf.presentation.dependency.menu.buildin.popwindow.EndConfMenu;
import com.huawei.hwmconf.presentation.dependency.menu.buildin.popwindow.LeaveConfMenu;
import com.huawei.hwmconf.presentation.dependency.menu.buildin.popwindow.TransferChairAndLeaveMenu;

import java.util.ArrayList;
import java.util.List;

/**
 * 自定义会中离会点击弹出菜单
 */
public class CustomConfLeaveConfPopwindowHandle implements IConfLeaveConfPopwindowHandle {

    @Override
    public List<IConfMenu> buildLeaveConfPopwindow() {
        List<IConfMenu> itemList = new ArrayList<>();
        TransferChairAndLeaveMenu transferChairAndLeaveMenu = new TransferChairAndLeaveMenu();// 离开会议并指定主持人
        LeaveConfMenu leaveConfMenu = new LeaveConfMenu();// 离开会议
        EndConfMenu endConfMenu = new EndConfMenu();// 结束全体会议

        itemList.add(transferChairAndLeaveMenu);
        itemList.add(leaveConfMenu);
        itemList.add(endConfMenu);
        return itemList;
    }
}
